INTERFACE
SUBROUTINE LATTEX_DNT(KST,KPROF,LDSETTLS,KXLAG,PESGP,PESGM,PXT0,PXT9,PMOY1X,&
 & PXSI,PXNLT9,PXT1,PXL0,PXL9,PCXNLT9,LDPC_NESC) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG ,NFLSA ,NFLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LDSETTLS
INTEGER(KIND=JPIM),INTENT(IN) :: KXLAG
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PMOY1X(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXSI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNLT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXL0(NPROMA,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXL9(NPROMA,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCXNLT9(NPROMA,NFLEVG)
LOGICAL,OPTIONAL ,INTENT(IN) :: LDPC_NESC
END SUBROUTINE LATTEX_DNT
END INTERFACE
